Subject: bug#56712: 29.0.50; x-dnd-tests-do-direct-save fails on Cygwin

From: Ken Brown <[email-masked]>
Date: Sat, 23 Jul 2022 13:41:39 -0400

On 7/23/2022 1:30 PM, Ken Brown wrote:
> On 7/22/2022 9:10 PM, Po Lu wrote:
>> Ken Brown <[email-masked]> writes:
>>
>>> The failure first occurred in the commit that introduced the test.
>>> Let me know what I can do to help debug this.
>>
>> Thanks.  That means this code in x-dnd.el has failed:
>>
>>            (progn
>>              (copy-file x-dnd-xds-current-file
>>                         local-name t)
>>              (when (equal x-dnd-xds-current-file
>>                           dnd-last-dragged-remote-file)
>>                (dnd-remove-last-dragged-remote-file)))
>>
>> So it would be good to get the detailed error message from that progn.
> 
> Sorry, I'm not immediately seeing how to do this in the context of the test. 
> Could you be more explicit?
> 
> In the meantime, I tried
> 
>     make -C test x-dnd-tests TEST_INTERACTIVE=yes
> 
> and the *ert* buffer reported
> 
> F x-dnd-tests-do-direct-save
>      (error "Invalid selection type: XdndSelection")
> 
> Does that help?
> 
> By the way, I should have said in my original report that I do an out-of-tree 
> build.  I'll try an in-tree build after sending this message to see if I still 
> get the test failure.

That wasn't the problem.  I get the same failure with an in-tree build.

Ken